ARG gdk_image
FROM $gdk_image 

ENV GITLAB_SIMULATE_SAAS=1
RUN gdk start postgresql redis \
    && echo "Gitlab::Seeder.quiet do \n\
               Plan::PAID_HOSTED_PLANS.each do |plan| \n\
                 Plan.create!(name: plan, title: plan.titleize) \n\
                 print '.' \n\
               end \n\
             end \n\
             ApplicationSetting.update( \n\
               product_analytics_enabled: true, \n\
               product_analytics_data_collector_host: 'http://caddy', \n\
               cube_api_base_url: 'http://cube:4000', \n\
               cube_api_key: 'thisisnotarealkey43ff15165ce01e4ff47d75092e3b25b2c0b20dc27f6cd5a8aed7b7bd855df88c9e0748d7afd37adda6d981c16177b086acf496bbdc62dbb', \n\
               product_analytics_configurator_connection_string: 'http://test:test@analytics_configurator:4567', \n\
               check_namespace_plan: true, \n\
               allow_local_requests_from_web_hooks_and_services: true \n\
             ) \n\
             Feature.enable(:product_analytics_features) \n\
             counter = 0 \n\
             until Feature.enabled?(:product_analytics_features) || counter == 10 \n\
               puts '.' \n\
               counter += 1 \n\
               sleep 1 \n\
             end \n\
             sleep 5" | gdk rails c
RUN gdk stop
